'use strict';

const merge = require('ember-cli-lodash-subset').merge;
const EmberApp = require('ember-cli/lib/broccoli/ember-app');
const defaultOptions = require('@choiceform/ui-foundation/defaults')({
  importCustomPropertiesFrom: [],

  preserveCustomProperties: true,

  importCustomMediaFrom: [],

  preserveCustomMedia: false,
});

module.exports = function(defaults) {
  let options = merge({}, defaultOptions, {
    useDeviceJS: false,

    useNormalizeCSS: false,

    // see: https://github.com/bfred-it/object-fit-images#usage
    useObjectFitImagesPolyfill: false,
  });

  let app = new EmberApp(defaults, options);

  return app.toTree();
};
